- Main Page
- Namespaces
- Files

- File List
- File Members

# C:/Musimathics_local/Musimat/MusimatChapter9/MusimatChapter9.cpp File Reference

`#include "stdafx.h"`
`#include <iostream>`
`#include "MusimatChapter9.h"`

Go to the source code of this file.

## Namespaces
namespace | std
## Functions
int | _tmain (int argc, _TCHAR *argv[])

## Function Documentation

int _tmain | ( | int | argc,
|  | _TCHAR * | argv[] |
| ) |  |  |

Definition at line 56 of file MusimatChapter9.cpp.

References Chapter9::C090400(), Chapter9::C090703(), Chapter9::C090703a(), Chapter9::C090703b(), Chapter9::C090703c(), Chapter9::C090903(), Chapter9::C091101(), Chapter9::C091102(), Chapter9::C091200(), Chapter9::C091201(), Chapter9::C091201a(), Chapter9::C091201b(), Chapter9::C091201c(), Chapter9::C091201d(), Chapter9::C091201e(), Chapter9::C091201f(), Chapter9::C091204(), Chapter9::C091204a(), Chapter9::C091204b(), Chapter9::C091204d(), Chapter9::C091405(), Chapter9::C091406(), Chapter9::C091406a(), Chapter9::C091406b(), Chapter9::C091406c(), Chapter9::C091704b(), Chapter9::C091704c(), and Chapter9::C091704d().

    00060 {
    00061         // Plant your first breakpoint on the line below containing
    00062         // C090400().  Then run the program, which will stop just
    00063         // before executing that function.  To start, use the
    00064         // debugger's "step into" command to step into the function.
    00065         Chapter9::C090400();    // 9.4 Program for Guido’s Method
    00066
    00067         // When you get here, you've finished stepping through C090400().
    00068         // To continue, use the debugger's "step into" command to
    00069         // step into the next function.
    00070         Chapter9::C090703();    // 9.7.3 Linear Congruential Method
    00071
    00072         // Use the debugger's "step into" command to continue
    00073         // by stepping into each of the following functions.
    00074         // For some sections, there may be additional functions for you
    00075         // to visit within each file.
    00076         Chapter9::C090400();    // Program for Guido's Method
    00077         Chapter9::C090703a();   // Seeding the Random Number Generator
    00078         Chapter9::C090703b();   // Random Real Numbers
    00079         Chapter9::C090703c();   // Random Integer Numbers Scaled to an Arbitrary Range
    00080         Chapter9::C090903();    // 9.9.3 Circular Permutation
    00081         Chapter9::C091101();    // 9.11.1 Precomposition
    00082         Chapter9::C091102();    // 9.11.2 The Set Complex
    00083         Chapter9::C091200();    // 9.12 Traversing and Manipulating Musical Materials
    00084         Chapter9::C091201();    // 9.12.1 Deterministic Serial Methods
    00085         Chapter9::C091201a();   // Cycle
    00086         Chapter9::C091201b();   // Palindrome
    00087         Chapter9::C091201c();   // Permutation
    00088         Chapter9::C091201d();   // Transpose
    00089         Chapter9::C091201e();   // Interpolated Tendency Mask
    00090         Chapter9::C091201f();   // Linear Interpolation
    00091         Chapter9::C091204();    // 9.12.4 Nondeterministic Serial Methods
    00092         Chapter9::C091204a();   // Sampling without Replacement
    00093         Chapter9::C091204b();   // Shuffle
    00094         Chapter9::C091204d();   // Random Tendency Mask
    00095         Chapter9::C091405();    // 9.14.5 Generating Outcomes from Probability Distributions
    00096         Chapter9::C091406();    // 9.14.6 Cumulative Distribution Function
    00097         Chapter9::C091406a();   // Accumulation
    00098         Chapter9::C091406b();   // Traversing the Cumulative Distribution Function
    00099         Chapter9::C091406c();   // A Less Boring (?) Musical Example
    00100         Chapter9::C091704b();   // Brownian Nose Generator
    00101         Chapter9::C091704c();   // Fractional Brownian Motion
    00102         Chapter9::C091704d();   // Voss’s Method
    00103
    00104         Return 0;
    00105 }